#!/bin/bash -

while read -ra a
do
    for i in 0 1 2 3 4
    do
        b[$i] = a[$i]
    done

    while (( i < #a[@])

    for i in "${a[@]}"; do b["$i"]=1; done
    printf '%s;' "${!b[@]}"
    printf '\n'
done > nodup.txt
